body,html {
    width:100%;
    height:100%;
    position:absolute;
    top:0px;
    left:0px;
    margin:0px;
}

.rocky {
    width:200px;
}

.menu{ /* context menu */
    opacity:0;
    border-radius: 10px;
    background:rgb(70, 70, 70);
    color:white;
    position:absolute;
    width:170px;
    user-select:none;
    transition: 250ms;
    transition-property: opacity,display;
}

.menu.open {
    opacity: 1;
}

.menu div{ /* all divs */
    display:flex;
    flex-direction: column;
}

.menu button { /* all buttons */
    background:inherit;
    border:none;
    padding:0px;
    cursor: pointer;
    color:inherit;
}

.menu button:first-child { /* first button */
    border-radius: 10px 10px 0px 0px;
    padding-top:5px;
}

.menu button:last-child { /* last button */
    border-radius: 0px 0px 10px 10px;
    padding-bottom:5px;
}

.menu button * { /* button contents */
    margin:5px 0px;
}

.menu a {
    color:inherit;
    text-decoration: none;
}